<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: NotificationSystem Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d29/a04181.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">NotificationSystem Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:adf618ab8cfabc3d79cbc3f35c26621fa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d29/a04181.html#adf618ab8cfabc3d79cbc3f35c26621fa">NotificationSystem</a> ()</td></tr>
<tr class="separator:adf618ab8cfabc3d79cbc3f35c26621fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa82f3e7f1c32b0bf13b3ffddf905b670"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d29/a04181.html#aa82f3e7f1c32b0bf13b3ffddf905b670">AddNotif</a> (ref NotificationRuntimeData data)</td></tr>
<tr class="separator:aa82f3e7f1c32b0bf13b3ffddf905b670"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2826fd758d0d4253a4c986f32c16da24"><td class="memItemLeft" align="right" valign="top">override NotificationData&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d29/a04181.html#a2826fd758d0d4253a4c986f32c16da24">GetNotificationData</a> (NotificationType type)</td></tr>
<tr class="separator:a2826fd758d0d4253a4c986f32c16da24"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a8acf3981f3fb73fd8053719eb81d24dd"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d29/a04181.html#a8acf3981f3fb73fd8053719eb81d24dd">Create_Expansion</a> (StringLocaliser title, StringLocaliser text, <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> icon, int color, float time=7, PlayerIdentity sendTo=NULL, <a class="el" href="../../db/d7c/a00722.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a> type=ExpansionNotificationType.TOAST, Object obj=NULL)</td></tr>
<tr class="separator:a8acf3981f3fb73fd8053719eb81d24dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6362b1d6ae5e35eda13acee6492b4d56"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d29/a04181.html#a6362b1d6ae5e35eda13acee6492b4d56">Create_Expansion</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> title, <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> text, <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> icon, int color, float time=7, PlayerIdentity sendTo=NULL, <a class="el" href="../../db/d7c/a00722.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a> type=ExpansionNotificationType.TOAST, Object obj=NULL)</td></tr>
<tr class="separator:a6362b1d6ae5e35eda13acee6492b4d56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a226324fbe2f1f865356700957b7d9062"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d29/a04181.html#a226324fbe2f1f865356700957b7d9062">ExpansionCreateNotification</a> (ref StringLocaliser title, ref StringLocaliser text, <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> icon, int color, float time=3, PlayerIdentity sendTo=NULL, <a class="el" href="../../db/d7c/a00722.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a> type=ExpansionNotificationType.TOAST, Object obj=NULL)</td></tr>
<tr class="separator:a226324fbe2f1f865356700957b7d9062"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3024077d6b1a3f95b03f831ee8bf364b"><td class="memItemLeft" align="right" valign="top">static private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d29/a04181.html#a3024077d6b1a3f95b03f831ee8bf364b">Exec_ExpansionCreateNotification</a> (StringLocaliser title, StringLocaliser text, <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> icon, int color, float time, <a class="el" href="../../db/d7c/a00722.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a> type=ExpansionNotificationType.TOAST, Object obj=NULL)</td></tr>
<tr class="separator:a3024077d6b1a3f95b03f831ee8bf364b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f5404a8e9f7a32ecdc8cc03a2f8bb6f"><td class="memItemLeft" align="right" valign="top">static override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d29/a04181.html#a5f5404a8e9f7a32ecdc8cc03a2f8bb6f">RPC_CreateNotification</a> (PlayerIdentity sender, Object target, ref ParamsReadContext ctx)</td></tr>
<tr class="separator:a5f5404a8e9f7a32ecdc8cc03a2f8bb6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1cbe17c3f75c5b0a572462f2e484530"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d29/a04181.html#ae1cbe17c3f75c5b0a572462f2e484530">RPC_ExpansionCreateNotification</a> (PlayerIdentity sender, Object target, ParamsReadContext ctx)</td></tr>
<tr class="separator:ae1cbe17c3f75c5b0a572462f2e484530"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71e6c829e1ed65463d3ac4dba06a96a6"><td class="memItemLeft" align="right" valign="top">static override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d29/a04181.html#a71e6c829e1ed65463d3ac4dba06a96a6">Update</a> (float timeslice)</td></tr>
<tr class="separator:a71e6c829e1ed65463d3ac4dba06a96a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a2f5ea2c94b6a5fb7a19ae159770c40d4"><td class="memItemLeft" align="right" valign="top">autoptr array&lt; ref NotificationRuntimeData &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d29/a04181.html#a2f5ea2c94b6a5fb7a19ae159770c40d4">m_ExNotifications</a></td></tr>
<tr class="separator:a2f5ea2c94b6a5fb7a19ae159770c40d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d8/db9/a00725.html">NotificationSystem.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/db9/a00725_source.html#l00013">13</a> of file <a class="el" href="../../d8/db9/a00725_source.html">notificationsystem.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="adf618ab8cfabc3d79cbc3f35c26621fa" name="adf618ab8cfabc3d79cbc3f35c26621fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf618ab8cfabc3d79cbc3f35c26621fa">&#9670;&#160;</a></span>NotificationSystem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void NotificationSystem::NotificationSystem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/db9/a00725_source.html#l00017">17</a> of file <a class="el" href="../../d8/db9/a00725_source.html">notificationsystem.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa82f3e7f1c32b0bf13b3ffddf905b670" name="aa82f3e7f1c32b0bf13b3ffddf905b670"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa82f3e7f1c32b0bf13b3ffddf905b670">&#9670;&#160;</a></span>AddNotif()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void NotificationSystem::AddNotif </td>
          <td>(</td>
          <td class="paramtype">ref NotificationRuntimeData&#160;</td>
          <td class="paramname"><em>data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/db9/a00725_source.html#l00191">191</a> of file <a class="el" href="../../d8/db9/a00725_source.html">notificationsystem.c</a>.</p>

</div>
</div>
<a id="a6362b1d6ae5e35eda13acee6492b4d56" name="a6362b1d6ae5e35eda13acee6492b4d56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6362b1d6ae5e35eda13acee6492b4d56">&#9670;&#160;</a></span>Create_Expansion() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void NotificationSystem::Create_Expansion </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>title</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>text</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>icon</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>color</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>time</em> = <code>7</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>sendTo</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../db/d7c/a00722.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a>&#160;</td>
          <td class="paramname"><em>type</em> = <code>ExpansionNotificationType.TOAST</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>obj</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/db9/a00725_source.html#l00053">53</a> of file <a class="el" href="../../d8/db9/a00725_source.html">notificationsystem.c</a>.</p>

</div>
</div>
<a id="a8acf3981f3fb73fd8053719eb81d24dd" name="a8acf3981f3fb73fd8053719eb81d24dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8acf3981f3fb73fd8053719eb81d24dd">&#9670;&#160;</a></span>Create_Expansion() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void NotificationSystem::Create_Expansion </td>
          <td>(</td>
          <td class="paramtype">StringLocaliser&#160;</td>
          <td class="paramname"><em>title</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">StringLocaliser&#160;</td>
          <td class="paramname"><em>text</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>icon</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>color</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>time</em> = <code>7</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>sendTo</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../db/d7c/a00722.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a>&#160;</td>
          <td class="paramname"><em>type</em> = <code>ExpansionNotificationType.TOAST</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>obj</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/db9/a00725_source.html#l00026">26</a> of file <a class="el" href="../../d8/db9/a00725_source.html">notificationsystem.c</a>.</p>

</div>
</div>
<a id="a3024077d6b1a3f95b03f831ee8bf364b" name="a3024077d6b1a3f95b03f831ee8bf364b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3024077d6b1a3f95b03f831ee8bf364b">&#9670;&#160;</a></span>Exec_ExpansionCreateNotification()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static private void NotificationSystem::Exec_ExpansionCreateNotification </td>
          <td>(</td>
          <td class="paramtype">StringLocaliser&#160;</td>
          <td class="paramname"><em>title</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">StringLocaliser&#160;</td>
          <td class="paramname"><em>text</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>icon</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>color</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>time</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../db/d7c/a00722.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a>&#160;</td>
          <td class="paramname"><em>type</em> = <code>ExpansionNotificationType.TOAST</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>obj</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Don't show player notification if setting is off, same with leave notification</p>

<p class="definition">Definition at line <a class="el" href="../../d8/db9/a00725_source.html#l00078">78</a> of file <a class="el" href="../../d8/db9/a00725_source.html">notificationsystem.c</a>.</p>

</div>
</div>
<a id="a226324fbe2f1f865356700957b7d9062" name="a226324fbe2f1f865356700957b7d9062"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a226324fbe2f1f865356700957b7d9062">&#9670;&#160;</a></span>ExpansionCreateNotification()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void NotificationSystem::ExpansionCreateNotification </td>
          <td>(</td>
          <td class="paramtype">ref StringLocaliser&#160;</td>
          <td class="paramname"><em>title</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ref StringLocaliser&#160;</td>
          <td class="paramname"><em>text</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>icon</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>color</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>time</em> = <code>3</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>sendTo</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../db/d7c/a00722.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a>&#160;</td>
          <td class="paramname"><em>type</em> = <code>ExpansionNotificationType.TOAST</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>obj</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/db9/a00725_source.html#l00058">58</a> of file <a class="el" href="../../d8/db9/a00725_source.html">notificationsystem.c</a>.</p>

</div>
</div>
<a id="a2826fd758d0d4253a4c986f32c16da24" name="a2826fd758d0d4253a4c986f32c16da24"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2826fd758d0d4253a4c986f32c16da24">&#9670;&#160;</a></span>GetNotificationData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override NotificationData NotificationSystem::GetNotificationData </td>
          <td>(</td>
          <td class="paramtype">NotificationType&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/db9/a00725_source.html#l00267">267</a> of file <a class="el" href="../../d8/db9/a00725_source.html">notificationsystem.c</a>.</p>

</div>
</div>
<a id="a5f5404a8e9f7a32ecdc8cc03a2f8bb6f" name="a5f5404a8e9f7a32ecdc8cc03a2f8bb6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f5404a8e9f7a32ecdc8cc03a2f8bb6f">&#9670;&#160;</a></span>RPC_CreateNotification()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static override void NotificationSystem::RPC_CreateNotification </td>
          <td>(</td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ref ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >This is only here to make all CF notifications (non-Expansion mods) use Expansion visual style for consistency</p>

<p class="definition">Definition at line <a class="el" href="../../d8/db9/a00725_source.html#l00159">159</a> of file <a class="el" href="../../d8/db9/a00725_source.html">notificationsystem.c</a>.</p>

</div>
</div>
<a id="ae1cbe17c3f75c5b0a572462f2e484530" name="ae1cbe17c3f75c5b0a572462f2e484530"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1cbe17c3f75c5b0a572462f2e484530">&#9670;&#160;</a></span>RPC_ExpansionCreateNotification()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void NotificationSystem::RPC_ExpansionCreateNotification </td>
          <td>(</td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/db9/a00725_source.html#l00204">204</a> of file <a class="el" href="../../d8/db9/a00725_source.html">notificationsystem.c</a>.</p>

</div>
</div>
<a id="a71e6c829e1ed65463d3ac4dba06a96a6" name="a71e6c829e1ed65463d3ac4dba06a96a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71e6c829e1ed65463d3ac4dba06a96a6">&#9670;&#160;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static override void NotificationSystem::Update </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>timeslice</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/db9/a00725_source.html#l00241">241</a> of file <a class="el" href="../../d8/db9/a00725_source.html">notificationsystem.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a2f5ea2c94b6a5fb7a19ae159770c40d4" name="a2f5ea2c94b6a5fb7a19ae159770c40d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f5ea2c94b6a5fb7a19ae159770c40d4">&#9670;&#160;</a></span>m_ExNotifications</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">autoptr array&lt; ref NotificationRuntimeData &gt; NotificationSystem::m_ExNotifications</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/db9/a00725_source.html#l00015">15</a> of file <a class="el" href="../../d8/db9/a00725_source.html">notificationsystem.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/client/notifications/<a class="el" href="../../d8/db9/a00725_source.html">notificationsystem.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d2/d29/a04181.html">NotificationSystem</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
